/*
 *  Part of rvglue source code,
 *  Copyright (C) 2000 Alexander Kroeller (alilein@gmx.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * $Id: helpfunc.cpp,v 1.1 2000/05/03 08:50:04 ali Exp ali $
 *
 * $Log: helpfunc.cpp,v $
 * Revision 1.1  2000/05/03 08:50:04  ali
 * Initial revision
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifdef USE_DMALLOC
#include <dmalloc.h>
#endif

#include "print.h"
#include "helpfunc.h"


char *breakfname(char *fname)
{
  char *dot;

  dot=strrchr(fname,'.');
  if(dot == NULL)
    {
      dot=&fname[strlen(fname)];
    }
  else
    {
      *dot=0;
      dot++;
    };
  return dot;
}



bool filehastype(const char *fname, const char *suff)
{
  bool res;
  char *dups;
  
  dups=strdup(fname);
  MEM(dups);
  
  res= strcasecmp(breakfname(dups),suff)==0;

  free(dups);
  return res;
}
